Bug 101370 - Undo/Redo don't refresh page/slide pane thumbnail after changing page/slide properties
Summary: Undo/Redo don't refresh page/slide pane thumbnail after changing page/slide p...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Page-Pane
  Show dependency treegraph
 
Reported: 2016-08-07 15:27 UTC by OfficeUser
Modified: 2021-10-07 03:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2016-08-07 15:27:02 UTC
Hi,

please...

- Open a blank draw document
- Change page orientation from Portrait to Landscape

Note that in the Page Pane (the sidebar with the page thumbnails) the page orientation has also changed like expected.

- Press undo


Note that in the Page Pane has NOT updated.


Found with
Version: 5.2.0.4 (x64)
Build-ID: 066b007f5ebcc236395c7d282ba488bca6720265
CPU-Threads: 8; BS-Version: Windows 6.1; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE)
Comment 1 Thomas Hackert 2016-08-07 15:52:55 UTC
Hello OfficeUser, *,
I can confirm this bug with several parallel installed LO versions on

OS: Debian Testing AMD64

back to LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
(parallel installed, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel/Linux)

but also from

AOO: AOO412m3(Build:9782)  -  Rev. 1709696
2015-10-21 09:51 - Linux x86_64

and

AOO: AOO411m6(Build:9775)  -  Rev. 1617669
2014-08-13 09:23 - Linux x86_64

but not with

OOo: 3.2.0
OOO320m12 (Build: 9483)

so this bug seems to be introduced somewhere betwenn OOo 3.2.0 and AOO 4.x.x serires ... Alas, I have no other AOO/OOo versions installed to test it further ... :(
Are you sure, that this has worked for you in earlier versions of LO than 5.2.0.4?

As I can confirm this, I will set the status to "New" and the version to "Inherited from OOo". If you think, I am wrong with the last one, please try to answer my above question ... ;)
HTH
Thomas.
Comment 2 Heiko Tietze 2016-08-08 10:28:05 UTC
Susobhang, please take a look.
Comment 3 Yousuf Philips (jay) (retired) 2016-08-08 20:28:18 UTC
This is inherited from OOo, as doing so in the page setup dialog returns the same result.
Comment 4 Susobhan Ghosh 2016-08-08 20:33:20 UTC
The problem is in the Page Thumbnail Preview Pane on the left, and not the actual LO sidebar.
Comment 5 Yousuf Philips (jay) (retired) 2016-08-09 03:07:00 UTC
So its not limited to just the orientation, the same thing happens when changing the page/slide size, but interestingly it doesnt happen with page/slide margins.

Also the workaround is to click within the page/slide pane and the thumbnails will be refreshed.
Comment 6 OfficeUser 2016-08-09 18:29:58 UTC
@Yousuf: Thanks for your additional information. I would like to add that not only Undo but also Redo is affected.

If you...

- Change the page orientation
- Undo
- Click within the page/slide pane (the work around that you describe)
- Redo

the bug is triggered too.
Comment 7 Xisco Faulí 2017-09-29 08:49:30 UTC Comment hidden (obsolete)
Comment 8 OfficeUser 2017-09-29 10:49:19 UTC
Bug still reproducible with:

Version: 6.0.0.0.alpha0+
Build-ID: 115bed941d7b7ed1b95d6424bfb98456c1d87546
CPU-Threads: 8; Betriebssystem:Linux 4.4; UI-Render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-06_22:52:59
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 9 QA Administrators 2018-09-30 02:48:58 UTC Comment hidden (obsolete)
Comment 10 OfficeUser 2018-10-06 10:49:39 UTC
Still reproducible with:
Version: 6.1.2.1
Build-ID: 1:6.1.2~rc1-0ubuntu0.14.04.4
CPU-Threads: 8; BS: Linux 4.4; UI-Render: Standard; VCL: gtk2; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group threaded
Comment 11 QA Administrators 2019-10-07 03:04:06 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2021-10-07 03:53:07 UTC
Dear OfficeUser,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug